import type { EmailEditorProps } from "vue-email-editor/dist/components/types";

export const options: EmailEditorProps["options"] = {
  tools: {
    image: {
      enabled: false,
    },
    menu: {
      enabled: false,
    },
    button: {
      enabled: false,
    },
  },
  displayMode: "document",
  appearance: {
    theme: "light",
    panels: {
      tools: {
        dock: "left",
      },
    },
  },
  features: {
    preview: false,
  },
  customJS: [window.location.origin + "/unlayerTool.js"],
};
